Как решить проблему конфликта anaconda и virtualenv

Я все время использовал virtualenv, а затем я также установил anaconda. Только сейчас я попытался активировать виртуальную среду, используя способ anaconda, как source activate helloworld . (В самом деле, я не помню, была ли это именно та команда, которую я ввел). И тогда среда была активирована. Но когда я попытался запустить ноутбук, было сказано, что некоторых библиотек не существует, даже если я уже установил их в этой среде. Пока я не понял, что активировал неправильную среду. И затем я закрываю вкладку и cd в hellowworld и hellowworld source bin/activate hellowworld source bin/activate . Но было слишком поздно. Я получил это как вывод prepending /home/lcc/anaconda3/envs/bin to PATH и среда не была активирована prepending /home/lcc/anaconda3/envs/bin to PATH . Вы знаете, как решить эту проблему? Благодаря!

Вот полный контент activate файла в /hello/world :

 #!/bin/bash # Determine the directory containing this script if [[ -n $BASH_VERSION ]]; then _SCRIPT_LOCATION=${BASH_SOURCE[0]} SHELL="bash" elif [[ -n $ZSH_VERSION ]]; then _SCRIPT_LOCATION=${funcstack[1]} SHELL="zsh" else echo "Only bash and zsh are supported" return 1 fi _CONDA_DIR=$(dirname "$_SCRIPT_LOCATION") if [ $# -gt 1 ]; then (>&2 echo "Error: did not expect more than one argument.") (>&2 echo " (Got $@)") return 1 fi case "$(uname -s)" in CYGWIN*|MINGW32*|MSYS*) EXT=".exe" ;; *) EXT="" ;; esac # Export whatever PS setting we have, so it is available to Python subprocesses export PS1 # Ensure that this script is sourced, not executed # Also note that errors are ignored as `activate foo` doesn't generate a bad # value for $0 which would cause errors. if [[ -n $BASH_VERSION ]] && [[ "$(basename "$0" 2> /dev/null)" == "activate" ]]; then (>&2 echo "Error: activate must be sourced. Run 'source activate envname' instead of 'activate envname'. ") "$_CONDA_DIR/conda" ..activate $SHELL$EXT -h exit 1 fi "$_CONDA_DIR/conda" ..checkenv $SHELL$EXT "$@" if (( $? != 0 )); then return 1 fi # Ensure we deactivate any scripts from the old env # Note: this empties $@. Preserve a copy. args=$@ source "$_CONDA_DIR/deactivate" _NEW_PATH=$("$_CONDA_DIR/conda" ..activate $SHELL$EXT "$args") if (( $? == 0 )); then export CONDA_PATH_BACKUP="$PATH" # export this to restore it upon deactivation export CONDA_OLD_PS1=$PS1 export PATH="$_NEW_PATH" # Get first path (should be full path prefix of our env) # inner string extraction pulls off first path # outer string removes /bin if present (on Unix) firstpath=${PATH%%:*} export CONDA_DEFAULT_ENV="$(echo ${firstpath} | sed "s|/bin$||")" &>/dev/null # Legacy support: CONDA_DEFAULT_ENV used to be either env name or full path if given as path. # CONDA_DEFAULT_ENV is now always full path. # Keep CONDA_ENV_PATH around, and have it mirror CONDA_DEFAULT_ENV. # Last date of change: 2016-04-18 export CONDA_ENV_PATH=$CONDA_DEFAULT_ENV export PS1="$( "$_CONDA_DIR/conda" ..setps1 $SHELL$EXT "$args" )" # Load any of the scripts found $PREFIX/etc/conda/activate.d AFTER activation _CONDA_D="${CONDA_DEFAULT_ENV}/etc/conda/activate.d" if [[ -d "$_CONDA_D" ]]; then IFS=$(echo -en "\n\b")&>/dev/null && for f in $(find "$_CONDA_D" -iname "*.sh"); do source "$f"; done fi else return $? fi if [[ -n $BASH_VERSION ]]; then hash -r elif [[ -n $ZSH_VERSION ]]; then rehash else echo "Only bash and zsh are supported" return 1 fi 

One Solution collect form web for “Как решить проблему конфликта anaconda и virtualenv”

Из вашего вопроса неясно, что вы ожидаете «активировать». Является ли это активацией virtualenv или активирует среду conda.

Когда вы устанавливаете miniconda или anaconda, вам предоставляется возможность добавить его в PATH. Если вы это сделаете, то, вероятно, это всегда произойдет, прежде чем активировать скрипт virtualenv. Вы можете переименовать один или другой или создать псевдоним для виртуального, который вызывает его с абсолютным путем к скрипту активации. Вы также можете переместить Anaconda так, чтобы она была добавлена, а не добавлена, но затем активируется virtualenv, а не conda one (запрещающие абсолютные пути).

Чтобы добавить путь к конде, загляните в ~ / .bashrc или ~ / .bash_profile и измените

 export PATH=<anaconda path>:$PATH 

в

 export PATH=$PATH:<anaconda path> 
  • Команда Virtualenv не найдена
  • У Python есть решение для управления зависимостями версий?
  • Нужен ли мне виртуальный?
  • Python не может видеть модули, установленные с помощью pip
  • Команда virtualenv не найдена после установки с помощью MacPorts
  • Установленный Virtualenv и активация virtualenv не работают
  • Проблемы с активацией виртуального сервера на сервере через Fabric
  • Почему virtualenv не создает папку DLL?
  • удаленный проект pycharm с virtualenv
  • Как установить python-ldap в virtualenv на Ubuntu?
  • установка Reportlab (ошибка: команда «gcc» не выполнена с статусом выхода 1)
  • Python - лучший язык программирования в мире.